net.minecraft.tileentity

## Class TileEntityDropper

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityDispenser
    - - net.minecraft.tileentity.TileEntityDropper

- All Implemented Interfaces:
    IInventory

      public class TileEntityDropper
      extends TileEntityDispenser

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityDropper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInvName()` Returns the name of the inventory.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntityDispenser

      `addItem, closeChest, decrStackSize, func_94041_b, func_94042_c, func_94049_a, getInventoryStackLimit, getRandomStackFromInventory, getSizeInventory, getStackInSlot, getStackInSlotOnClosing, isUseableByPlayer, openChest, readFromNBT, setInventorySlotContents, writeToNBT`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getRenderBoundingBox, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, updateEntity, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `onInventoryChanged`

- - ### Constructor Detail

    - #### TileEntityDropper

          public TileEntityDropper()

  - ### Method Detail

    - #### getInvName

          public String getInvName()

      Returns the name of the inventory.
      Specified by:
        `getInvName` in interface `IInventory`
      Overrides:
        `getInvName` in class `TileEntityDispenser`